function [kernel] = wavenumber_function_1d(frequency,x1,x2)
    c = 3e8;
    k0 = 2*pi*frequency;
    if(x1==x2)
        kernel = k0/(pi);
    else
    kernel = 1/(pi)*(sin((x1-x2)*k0)/(x1-x2));
    end
end